<?php

include(dirname(__FILE__).'/../../config/config.inc.php');
include(dirname(__FILE__).'/perfectmoney.php');

$perfectmoney = new PerfectMoney();

define('ALTERNATE_PHRASE_HASH',strtoupper(md5(Configuration::get('PERFECTMONEY_ALTERNATE'))));
$string=
	  $_POST['PAYMENT_ID'].':'.$_POST['PAYEE_ACCOUNT'].':'.
	  $_POST['PAYMENT_AMOUNT'].':'.$_POST['PAYMENT_UNITS'].':'.
	  $_POST['PAYMENT_BATCH_NUM'].':'.
	  $_POST['PAYER_ACCOUNT'].':'.ALTERNATE_PHRASE_HASH.':'.
	  $_POST['TIMESTAMPGMT'];

$hash=strtoupper(md5($string));
$cart = new Cart(intval($_POST['PAYMENT_ID']));
$customer = new Customer(intval($cart->id_customer));

$currency = $perfectmoney->getCurrency();

if($hash==$_POST['V2_HASH']
	&& $_POST['PAYEE_ACCOUNT']==Configuration::get('PERFECTMONEY_ACCOUNT')
	&& $_POST['PAYMENT_AMOUNT']==Tools::convertPrice($cart->getOrderTotal(true, 3), $currency)) {
	$perfectmoney->validateOrder($_POST['PAYMENT_ID'], _PS_OS_PAYMENT_, $_POST['PAYMENT_AMOUNT'], $perfectmoney->displayName);
} else {
	$perfectmoney->validateOrder($_POST['PAYMENT_ID'], _PS_OS_ERROR_, 0, $perfectmoney->displayName, $errors.'<br />');
}
Tools::redirect('order-confirmation.php?id_cart='.$_POST['PAYMENT_ID'].'&key='.$customer->secure_key.'&id_module='.$perfectmoney->id);
?>